Package: grails.spring

## [Java] Class WebBeanBuilder

- grails.spring.WebBeanBuilder

-     public class WebBeanBuilder
      extends BeanBuilder

  Extended version of the BeanBuilder class that provides support for constructing WebApplicationContext instances

  Authors:
    Graeme Rocher
  Since:
    1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BeanBuilder` | `BEANS, CREATE_APPCTX, LOG, REF, REGISTER_BEANS, beanBuildResource, binding, classLoader, currentBeanConfig, deferredProperties, namespaceHandlerResolver, namespaceHandlers, namespaces, parentCtx, readerContext, resourcePatternResolver, serialVersionUID, springConfig, xmlBeanDefinitionReader`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WebBeanBuilder ()`
    `WebBeanBuilder (java.lang.ClassLoader classLoader)`
    `WebBeanBuilder (org.springframework.context.ApplicationContext parent)`
    `WebBeanBuilder (org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected RuntimeSpringConfiguration` | `createRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanBuilder` | `addToDeferred, afterInvocation, bean, bean, beans, call, createApplicationContext, createDynamicElementReader, createRuntimeSpringConfiguration, filterGStringReferences, finalizeDeferredProperties, getBeanDefinition, getBeanDefinitions, getLog, getParentCtx, getProperty, getSpringConfig, importBeans, importBeans, initializeBeanBuilderForClassLoader, initializeSpringConfig, invokeBeanDefiningClosure, invokeBeanDefiningMethod, invokeMethod, loadBeans, loadBeans, loadBeans, manageListIfNecessary, manageMapIfNecessary, registerBeans, registerBeans, resolveConstructorArguments, setBinding, setClassLoader, setNamespaceHandlerResolver, setProperty, setPropertyOnBeanConfig, setResourcePatternResolver, setSpringConfig, setVariable, subarray, xmlns`

- - ### Constructor Detail

    - #### public WebBeanBuilder()

    - #### public WebBeanBuilder(java.lang.ClassLoader classLoader)

    - #### public WebBeanBuilder(org.springframework.context.ApplicationContext parent)

    - #### public WebBeanBuilder(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)

  - ### Method Detail

    - #### @java.lang.Override protected RuntimeSpringConfiguration createRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader classLoader)